List of all members
clan::EchoFilter Class Reference
clanSound Filters

Echo Filter Class. More...

`#include <echofilter.h>`

Inheritance diagram for clan::EchoFilter:

## Public Member Functions
Construction
| EchoFilter (int buffer_size=32 *1024, float shift_factor=2.0f)
| Echo Filter Constructor. More...
virtual | ~EchoFilter ()
| Echo Filter Destructor. More...
Operations
EchoFilterProvider * | get_provider () const
| Retrieves the provider. More...
Public Member Functions inherited from clan::SoundFilter
| SoundFilter ()
| Constructs a NULL instance. More...
| SoundFilter (SoundFilterProvider *provider)
| Constructs a sound filter. More...
| ~SoundFilter ()
bool | operator== (const SoundFilter &other) const
| Equality operator. More...
bool | operator!= (const SoundFilter &other) const
| Inequality operator. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
SoundFilterProvider * | get_provider () const
| Retrieves the provider. More...
void | filter (float **sample_data, int num_samples, int channels)
| Filter callback. More...

## Additional Inherited Members
Public Attributes inherited from clan::SoundFilter
std::shared_ptr< SoundFilter_Impl > | impl

## Detailed Description

Echo Filter Class.

The documentation for this class was generated from the following file:

- echofilter.h